

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/sched.h |    2 --
 25-akpm/kernel/timer.c        |    2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

diff -puN include/linux/sched.h~staticalise-update_one_process include/linux/sched.h
--- 25/include/linux/sched.h~staticalise-update_one_process	2004-06-09 19:16:02.826752144 -0700
+++ 25-akpm/include/linux/sched.h	2004-06-09 19:16:23.919545552 -0700
@@ -176,8 +176,6 @@ long io_schedule_timeout(long timeout);
 extern void cpu_init (void);
 extern void trap_init(void);
 extern void update_process_times(int user);
-extern void update_one_process(struct task_struct *p, unsigned long user,
-			       unsigned long system, int cpu);
 extern void scheduler_tick(int user_tick, int system);
 extern unsigned long cache_decay_ticks;
 
diff -puN kernel/timer.c~staticalise-update_one_process kernel/timer.c
--- 25/kernel/timer.c~staticalise-update_one_process	2004-06-09 19:16:02.855747736 -0700
+++ 25-akpm/kernel/timer.c	2004-06-09 19:16:30.734509520 -0700
@@ -830,7 +830,7 @@ static inline void do_it_prof(struct tas
 	}
 }
 
-void update_one_process(struct task_struct *p, unsigned long user,
+static void update_one_process(struct task_struct *p, unsigned long user,
 			unsigned long system, int cpu)
 {
 	do_process_times(p, user, system);
_
